Bug 226437 - net-mgmt/netmagis-common: update to 2.3.4
Summary: net-mgmt/netmagis-common: update to 2.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: patch-ready, security
Depends on:
Blocks:
 
Reported: 2018-03-07 23:35 UTC by geoffroy desvernay
Modified: 2018-03-11 18:02 UTC (History)
2 users (show)

See Also:
pdagog: maintainer-feedback+
pdagog: maintainer-feedback+
riggs: merge-quarterly+


Attachments
svn diff net-mgmt/netmagis-* (3.75 KB, patch)
2018-03-07 23:35 UTC, geoffroy desvernay
dgeo: maintainer-approval? (pdagog)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2018-03-07 23:35:35 UTC
Created attachment 191291 [details]
svn diff net-mgmt/netmagis-*

single security fix (see https://github.com/pdav/netmagis/blob/master/CHANGES)

I modified companion ports to make portlint happy.

poudriere & production tested :)
Comment 1 Pierre DAVID 2018-03-08 12:33:55 UTC
Thanks for you proposed patch. It is perfect!
Comment 2 commit-hook freebsd_committer 2018-03-11 17:54:26 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 11 17:53:52 UTC 2018
New revision: 464190
URL: https://svnweb.freebsd.org/changeset/ports/464190

Log:
  Update to upstream version 2.3.4

  Details:
  - Fix issue where LDAP login with empty passwort
    was possible, see
    https://github.com/pdav/netmagis/issues/173
  - Fix LICENSE*
  - Pet portlint

  PR:		226437
  Submitted by:	dgeo@centrale-marseille.fr
  Approved by:	pdagog@gmail.com (maintainer)
  MFH:		2018Q1

Changes:
  head/net-mgmt/netmagis-common/Makefile
  head/net-mgmt/netmagis-common/distinfo
  head/net-mgmt/netmagis-database/Makefile
  head/net-mgmt/netmagis-detecteq/Makefile
  head/net-mgmt/netmagis-metro/Makefile
  head/net-mgmt/netmagis-servers/Makefile
  head/net-mgmt/netmagis-topo/Makefile
  head/net-mgmt/netmagis-utils/Makefile
  head/net-mgmt/netmagis-www/Makefile
Comment 3 commit-hook freebsd_committer 2018-03-11 18:01:34 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 11 18:00:44 UTC 2018
New revision: 464191
URL: https://svnweb.freebsd.org/changeset/ports/464191

Log:
  MFH: r464190

  Update to upstream version 2.3.4

  Details:
  - Fix issue where LDAP login with empty passwort
    was possible, see
    https://github.com/pdav/netmagis/issues/173
  - Fix LICENSE*
  - Pet portlint

  PR:		226437
  Submitted by:	dgeo@centrale-marseille.fr
  Approved by:	pdagog@gmail.com (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/net-mgmt/netmagis-common/Makefile
  branches/2018Q1/net-mgmt/netmagis-common/distinfo
  branches/2018Q1/net-mgmt/netmagis-database/Makefile
  branches/2018Q1/net-mgmt/netmagis-detecteq/Makefile
  branches/2018Q1/net-mgmt/netmagis-metro/Makefile
  branches/2018Q1/net-mgmt/netmagis-servers/Makefile
  branches/2018Q1/net-mgmt/netmagis-topo/Makefile
  branches/2018Q1/net-mgmt/netmagis-utils/Makefile
  branches/2018Q1/net-mgmt/netmagis-www/Makefile